import { Cluster } from 'ioredis';
import { ClusterClients } from './interfaces';
import { ClientNamespace } from '../interfaces';
export declare class ClusterManager {
    private readonly clusterClients;
    constructor(clusterClients: ClusterClients);
    /**
     * Gets all cluster clients as a read-only map.
     */
    get clients(): ReadonlyMap<ClientNamespace, Cluster>;
    /**
     * Gets cluster client via namespace.
     */
    getClient(namespace?: ClientNamespace): Cluster;
}
