import { DynamicModule, OnApplicationShutdown } from '@nestjs/common';
import { ClusterModuleOptions, ClusterModuleAsyncOptions, ClusterClients } from './interfaces';
export declare class ClusterModule implements OnApplicationShutdown {
    private readonly options;
    private readonly clients;
    constructor(options: ClusterModuleOptions, clients: ClusterClients);
    /**
     * Registers the module synchronously.
     */
    static forRoot(options: ClusterModuleOptions): DynamicModule;
    /**
     * Registers the module asynchronously.
     */
    static forRootAsync(options: ClusterModuleAsyncOptions): DynamicModule;
    onApplicationShutdown(): Promise<void>;
}
