import { Inject } from '@nestjs/common';
import { ClientNamespace } from '../../interfaces';
export declare const namespaces: Map<ClientNamespace, ClientNamespace>;
/**
 * Decorator that injects a cluster client to the constructor parameter.
 *
 * @param namespace - The name of the client
 */
export declare const InjectCluster: (namespace?: ClientNamespace) => ReturnType<typeof Inject>;
/**
 * Generates an injection token for a cluster client.
 *
 * @param namespace  - The name of the client
 */
export declare const getClusterToken: (namespace: ClientNamespace) => ClientNamespace;
