import { Inject } from '@nestjs/common';
import { ClientNamespace } from '../../interfaces';
export declare const namespaces: Map<ClientNamespace, ClientNamespace>;
/**
 * Decorator that injects a redis client to the constructor parameter.
 *
 * @param namespace - The name of the client
 */
export declare const InjectRedis: (namespace?: ClientNamespace) => ReturnType<typeof Inject>;
/**
 * Generates an injection token for a redis client.
 *
 * @param namespace  - The name of the client
 */
export declare const getRedisToken: (namespace: ClientNamespace) => ClientNamespace;
