import { Redis } from 'ioredis';
import { RedisClients } from './interfaces';
import { ClientNamespace } from '../interfaces';
export declare class RedisManager {
    private readonly redisClients;
    constructor(redisClients: RedisClients);
    /**
     * Gets all redis clients as a read-only map.
     */
    get clients(): ReadonlyMap<ClientNamespace, Redis>;
    /**
     * Gets redis client via namespace.
     */
    getClient(namespace?: ClientNamespace): Redis;
}
