import { DynamicModule, OnApplicationShutdown } from '@nestjs/common';
import { RedisModuleOptions, RedisModuleAsyncOptions, RedisClients } from './interfaces';
export declare class RedisModule implements OnApplicationShutdown {
    private readonly options;
    private readonly clients;
    constructor(options: RedisModuleOptions, clients: RedisClients);
    /**
     * Registers the module synchronously.
     */
    static forRoot(options?: RedisModuleOptions): DynamicModule;
    /**
     * Registers the module asynchronously.
     */
    static forRootAsync(options: RedisModuleAsyncOptions): DynamicModule;
    onApplicationShutdown(): Promise<void>;
}
