"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isSymbol = exports.isString = exports.parseNamespace = void 0;
/**
 * Parses namespace to string.
 *
 * @param namespace - The namespace of the client
 */
const parseNamespace = (namespace) => {
    if ((0, exports.isString)(namespace))
        return namespace;
    return namespace.toString();
};
exports.parseNamespace = parseNamespace;
/**
 * Returns true if the value is of type string.
 *
 * @param value - Any value
 */
const isString = (value) => typeof value === 'string';
exports.isString = isString;
/**
 * Returns true if the value is of type symbol.
 *
 * @param value - Any value
 */
const isSymbol = (value) => typeof value === 'symbol';
exports.isSymbol = isSymbol;
